from midia import Midia

class Temporada(Midia):
	__atores = None
	__duracao = None
	__serie = None
	__temporada = None
	
	def __init__(self, codigo, nome, tipo, genero, possui, consumiu, deseja, preco, atores, duracao, serie, temporada):
		super(Temporada, self).__init__(codigo, nome, tipo, genero, possui, consumiu, deseja, preco)
		self.__atores = atores
		self.__duracao = duracao
		self.__serie = serie
		self.__temporada = temporada
	
	def set_atores(self, autores):
		self.__atores = autores
		
	def set_duracao(self, duracao):
		self.duracao = duracao
		
	def set_serie(self, serie):
		self.serie = serie
		
	def set_temporada(self, temporada):
		self.temporada = temporada
		
	def get_autores(self):
		return self.__autores
	
	def get_duracao(self):
		return self.__duracao
	
	def get_serie(self):
		return self.__serie
	
	def get_temporada(self):
		return self.__temporada

	def __str__(self):
		return "temporada: \"" + self.get_nome() + "\" da serie \"" + self.__serie + "\""